package seal_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type SealApplyPressRequest struct {
	// <ext>core:true;format:string</ext> 【用印申请id】用印申请id 【作用】 1、查询需催办的用印申请 2、催办该用印申请中的当前节点，当前节点状态必须为“审批中”或“待上传”，其他状态的节点不支持催办
	BusinessId *int64                  `json:"businessId"`
	PressUser  *common.UserInfoRequest `json:"pressUser,omitempty"`
	Operator   *common.UserInfoRequest `json:"operator,omitempty"`
}

func (obj SealApplyPressRequest) GetUrl() string {
	return "/seal/apply/press"
}

func (obj SealApplyPressRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
